/*
 * EVENT LIST STYLES
 */

#ic_eventlist {
  width: 100%;
}

/*  SECTIONS  */
.ic-section {
  width: 100%;
  padding: 0;
  margin: 0;
  display: -webkit-flex;
  -webkit-flex-direction: row;
  -webkit-flex-wrap: wrap;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

/*  COLUMN SETUP  */
.ic-col {
  display: block;
  float: left;
  margin: 0 0.2% 4px 0.2%;
}

/*  GROUPING  */
.ic-group:before,
.ic-group:after {
  content: "";
  display: table;
}
.ic-group:after {
  clear: both;
}

/*  GRID OF COLUMNS  */
.ic-col1 {
  width: 100%;
  margin: 0 0 4px 0;
}
.ic-col2 {
  width: 49.6%;
}
.ic-col3 {
  width: 32.933333333%;
}
.ic-col4 {
  width: 24.6%;
}

/*  DISPLAY 3 COLS IF 4 SELECTED AT LESS THAN 980 PX AND MORE 768 PX */
@media (min-width: 768px) and (max-width: 980px) {
  .ic-col4 {
    width: 32.933333333%;
  }
}

/*  DISPLAY 2 COLS IF 3 OR 4 SELECTED AT LESS THAN 767 PX AND MORE 481 PX */
@media (min-width: 481px) and (max-width: 767px) {
  .ic-col3 {
    width: 49.6%;
  }
  .ic-col4 {
    width: 49.6%;
  }
}

/*  GO FULL WIDTH AT LESS THAN 480 PIXELS */
@media only screen and (max-width: 480px) {
  .ic-col2 {
    width: 100%;
  }
  .ic-col3 {
    width: 100%;
  }
  .ic-col4 {
    width: 100%;
  }
}

/* Messages Info */
.ic-msg-no-event {
  font-size: 0.8em;
  text-align: center;
}

/* Bottom line <hr> tag */
.default_eventlist hr {
  margin: 8px 0;
}

/* Style Background alternative */
.default_eventlist {
}
.default_eventlist:nth-child(2n + 1) {
}

/* Style Background hover */
.default_eventlist:hover {
}

/* Style Div */
.default_eventlist .ic-inline-block {
  display: inline-block;
  margin: auto 0;
}
.default_eventlist .ic-block {
  display: block;
  margin: auto 3px;
}
.default_eventlist .ic-event-div {
  margin-bottom: 0;
  min-height: 42px;
}
.default_eventlist .ic-date-img-box {
  float: left;
  margin: 4px 6px 0 0;
}
.default_eventlist .ic-date-div {
  height: 34px;
  width: 36px;
  text-align: center;
  padding-top: 15%;
  text-shadow: rgba(0, 0, 0, 0.5) 0 0 7px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -o-border-radius: 5px;
  border-radius: 5px;
  box-sizing: content-box;
}
.default_eventlist .ic-day {
  line-height: 18px !important;
  font-size: 16px;
  font-weight: bold;
}
.default_eventlist .ic-month {
  line-height: 12px !important;
  font-size: 12px;
  font-weight: normal;
}
.default_eventlist .iceventlist-title {
  padding-top: 3px;
  line-height: 15px !important;
  font-size: 13px;
  font-weight: bold;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  -ms-hyphens: auto;
  -o-hyphens: auto;
  hyphens: auto;
}
.default_eventlist .iceventlist-venue {
  line-height: 15px !important;
  font-size: 12px;
}
.default_eventlist .iceventlist-city,
.default_eventlist .ic-datetime-div {
  line-height: 14px !important;
  font-size: 11px;
}
.default_eventlist .ic-datetime-label {
  font-weight: bold;
}
.default_eventlist .iceventlist-desc {
  font-size: 12px;
}
.default_eventlist .iceventlist-registration-info {
}
.default_eventlist .ic-reg {
  font-size: 10px;
  margin: 0 2px;
  padding: 0 5px;
  text-align: center;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  -o-border-radius: 3px;
  border-radius: 3px;
  box-shadow: 0px 0px 1px #333;
  cursor: pointer;
}
.default_eventlist span.ic-reg.available {
  background: white;
  color: black;
}
.default_eventlist span.ic-reg.ticketsleft {
  background: green;
  color: white;
}
.default_eventlist span.ic-reg.registered {
  background: blue;
  color: white;
}

/* Features Icons */
.default_eventlist .iceventlist-features-container {
  margin: 0;
}
.default_eventlist .iceventlist-feature-icon {
  float: none;
  display: inline-block;
  margin: 0 0.5px;
}
.card {
  height: 100% !important;
}
/****
****
GABRIELE CSS
PAGINA EVENTO
****
****

/* General */
#icagenda {
  width: auto;
  margin: 0;
  padding: 0;
}
#icagenda.ic-list-view{
  padding-bottom: 70px;
}
.tm-main.uk-section {
  padding-bottom: 0 !important;
}
/*card classes*/
.card {
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fafafa;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.25rem;
  height: 100%;
}
.card img, .card-img-link img{
  width: 100%;
  height: 165px;
  object-fit: cover;
}
.card-text:last-child {
  margin-bottom: 0;
}
.position-relative {
  position: relative !important;
}
.position-absolute {
  position: absolute !important;
}
.end-0 {
  right: 0 !important;
}
.top-0 {
  top: 0 !important;
}
.fw-bold {
  font-weight: 700 !important;
}
.mb-0 {
  margin-bottom: 0 !important;
}
.mb-2 {
  margin-bottom: 0.5rem !important;
}
.mt-1 {
  margin-top: 0.25rem !important;
}
.p-3 {
  padding: 1rem !important;
}
.py-5 {
  padding-top: 3rem !important;
  padding-bottom: 3rem !important;
}
.px-1 {
  padding-right: 0.25rem !important;
  padding-left: 0.25rem !important;
}
.border-bottom {
  border-bottom: 1px solid #e7e8eb !important;
}
/* fine card classes*/
.d-flex {
  display: flex !important;
}
@media screen and (min-width:960px) {
	.d-md-flex{
		display: flex!important;
	}
}
@media screen and (min-width:640px) {
	.d-sm-flex{
		display: flex!important;
	}
}
.flex-wrap {
  flex-wrap: wrap !important;
}
.flex-row {
  flex-direction: row !important;
}
.justify-content-between {
  justify-content: space-between !important;
}
.align-items-start {
  align-items: flex-start !important;
}
.align-items-center {
  align-items: center !important;
}
.ic-event-view .date-box{
	display: none;
}
.date-box {
  padding: 10px 20px;
  background-color: #263764;
}
#icagenda .date-box p {
  color: #fff;
  text-align: center;
  text-transform: uppercase;
  margin: 0;
}

/* Style Header */
#icagenda .title-date {
  margin-bottom: 30px;
}
.ic-period-starttime,
.ic-period-endtime,
.ic-single-starttime,
.ic-single-endtime,
.ic-datetime-separator,
#icagenda .evttime {
  font-size: unset;
}
#icagenda .title-header {
  margin-right: 30px;
  margin-bottom: 0;
}
#icagenda .title-header h1{
	font-size: 30px;
}
@media screen and (min-width:640px) {
	#icagenda .title-header h1{
		font-size: 40px;
	}
}
.title-cat.ic-details-cat {
  margin-bottom: 10px;
}
.ic-event-header {
  padding-bottom: 30px;
  background-color: transparent !important;
  border: none !important;
}
.ic-event-header h1 {
  margin-bottom: 0;
}
.colored_circle_category {
  width: 8px;
  height: 8px;
  display: inline-block;
  margin-right: 10px;
  border-radius: 50px;
  vertical-align: middle;
}
.ic-details-cat {
  font-weight: bold;
}
.ic-features-container {
  text-align: left !important;
}
.ic-feature-icon {
  float: none;
  display: inline-block;
}
/* Style Image */
.ic-image {
  text-align: center;
}
.ic-image img {
  margin-bottom: 10px;
  border-radius: 0;
}
/* Style info event */
.ic-info {
  background-color: transparent !important;
  border: 0 !important;
}
.ic-info h3 {
  margin-bottom: 10px;
  font-size: 28px;
}
.ic-info .info,.ic-info .ic-details,
.map,
.ic-event-buttons {
  text-align: left;
}
.ic-info .info {
  padding-bottom: 40px;
}
.ic-event-view .ic-event-date {
  font-size: 25px;
  font-weight: bold;
  text-transform: uppercase;
  text-align: left;
  display: none;
}
.ic-details .description {
  padding-bottom: 30px;
}
/* Style Maps */
.map{
  padding: 0 0 30px;
}
#ic-detail-map {
  margin: 0;
}
.ic-map-wrapper {
  border-radius: 0;
  border: none;
}
/*Style Registration*/
.ic-registered-info{
	display: none!important;
}
.ic-event-buttons {
  padding: 0 0 30px;
}
.ic-event-buttons button{
  display: flex;
  justify-content: center;
  align-items: center;
}
.ic-button-box .btn-success {
  background-color: #ecc34e !important;
  color: #263764 !important;
  text-transform: uppercase;
  border: 2px solid #ecc34e;
  padding: 5px 33px;
}
.btn-light:hover * {
  color: #fff !important;
}
.ic-registration-box {
  gap: 0rem !important;
}
.ic-registration-box .ic-button-box {
  float: none;
  margin: 10px;
}
.ic-registration-box .ic-button-box:first-of-type{
  margin-left: 0;
}
.ic-registration-box .ic-btn-register-ok button{
  font-size: 28px;
}
.ic-registration-box .btn-group-vertical.ic-dropdown button{
  padding: 20px 30px;
}
.ic-registration-box a {
  text-decoration: none !important;
}
.ic-registration-box a:hover,
.ic-registration-box a:focus {
  text-decoration: none !important;
  cursor: pointer;
}
.ic-btn-register-select .ic-dropdown button {
  border-radius: 0 !important;
}
.ic-dropdown-toggle.show,.ic-dropdown-toggle:hover,.ic-dropdown-toggle:focus{
	background-color: #263764!important;
	color: #fff!important;
}
.ic-dropdown-menu{
	min-width: unset;
	width: 100%;
	bottom: -46px;
	border-radius: 0;
}
/* Style All Dates */
#detail-date-list {
  padding: 0;
  text-align: left;
}
#detail-date-list .datesList {
}
#detail-date-list .alldates ul {
  padding-left: 1%;
}
#detail-date-list .alldates li {
  background-image: none;
}
#detail-date-list .alldates {
}
#detail-date-list h3 {
  margin-top: 10px 0 0 0;
}
/* Style Share */
.share.ic-share .addthis_floating_style.addthis_32x32_style,
.share.ic-share
  .addthis_floating_style.addthis_32x32_style
  .addthis_internal_container {
  width: unset;
  border-radius: 0;
  padding: 10px 5px;
}
/****
  ****
  GABRIELE CSS
  PAGINA EVENTI
  ****
  ****/
.ic-list-events.ic-clearfix::before,
.ic-list-events.ic-clearfix::after,
.ic-list-events .ic-clearfix::before,
.ic-list-events .ic-clearfix::after {
  display: none;
}
.ic-list-events a {
  text-decoration: none;
}
.ic-list-events {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}
@media screen and (max-width: 960px) {
  .ic-list-events {
    grid-template-columns: 1fr 1fr;
  }
}
@media screen and (max-width: 640px) {
  .ic-list-events {
    grid-template-columns: auto;
  }
}
.ic-list-event {
  border-radius: 0;
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fafafa;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  height: 100%;
  padding: 0;
}
.no-img-card-block {
  width: 100%;
  height: 150px;
}
.ic-more-info {
  float: none;
  margin-top: 20px;
}
/* FORM PRENOTAZIONE EVENTO */
.ic-registration-view #icagenda-registration fieldset legend{
  font-weight: bold;
}
.ic-registration-view #icagenda-registration fieldset .control-group:first-of-type{
  margin-top: 0;
}
.ic-registration-view input:not([type="checkbox"]),.ic-registration-view select{
  height: 53px!important;
padding: 13px 25px!important;
background: #fff!important;
font-family: 'Open Sans'!important;
font-weight: 700!important;
border: 2px solid #263764!important;
border-radius: 50px!important;
line-height: 1em!important;
}
.ic-registration-view textarea{
  padding: 13px 25px!important;
background: #fff!important;
font-family: 'Open Sans'!important;
font-weight: 700!important;
border: 2px solid #263764!important;
border-radius: 50px!important;
}
.ic-registration-view input:focus:not([type="checkbox"]), .ic-registration-view select:focus,.ic-registration-view textarea:focus{
  border-color: #ecc34e!important;
  background-color: #fff!important;
}
.ic-registration-view .control-label{
  margin-bottom: 5px;
  font-weight: bold;
}
